Skip to content

Update environment settings (title, secret, disable sending, secure mode)

PATCH
/environments/{clientId}
curl --request PATCH \
--url https://api.pingram.io/environments/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "resetSecret": true, "disableSending": [ "EMAIL" ], "title": "example", "secureMode": true }'

Authorizations

Parameters

Path Parameters

clientId
required
string

Environment client ID

Request Bodyrequired

Media typeapplication/json
object
resetSecret
boolean
disableSending
Array<string>
Allowed values: EMAIL INAPP_WEB SMS CALL PUSH WEB_PUSH SLACK
title
string
secureMode
boolean

Responses

200

Successful response

Media typeapplication/json
object
clientId
required
string
clientSecret
required
string
title
required
string
disableSending
required
Array<string>
Allowed values: EMAIL INAPP_WEB SMS CALL PUSH WEB_PUSH SLACK
secureMode
required
boolean
Example
{
"disableSending": [
"EMAIL"
]
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}